--
-- Minimap tracking icon replacement
--

SWTracking = {
	name = "Tracking",
	events = { "MINIMAP_UPDATE_TRACKING" },
	registerClicks = { "RightButtonDown", "LeftButtonDown" },
  width = 25,
  
  Init = function(self)
    MiniMapTracking:Hide()
  end,

  SetupPane = function(self, frame)
    frame.pane:SetHeight(frame._var.height)
    frame.pane:SetWidth(frame._var.width)
    frame.pane.text:SetWidth(0)
    frame.pane.text:Hide()
    frame.pane.icon:ClearAllPoints()
    frame.pane.icon:SetPoint("LEFT", frame.pane, "LEFT", frame._var.padding, 0)
    frame.pane.icon:Show()
  end,
  
  Update = function(self, event)
    for i=1,GetNumTrackingTypes() do 
      name, texture, active = GetTrackingInfo(i)
      if active then
        self.pane.icon:SetTexture(texture)
        return
      end
    end
    self.pane.icon:SetTexture([[Interface\Minimap\Tracking\None]])
  end,
  
  OnClick = function(self)
    ToggleDropDownMenu(1, nil, MiniMapTrackingDropDown, self.pane, 0, -5);
    PlaySound("igMainMenuOptionCheckBoxOn");
  end,
}
StatusWindow:RegisterModule(SWTracking)